relay_reset
Prev | relay interface | Next

## Name

relay_reset — reset the channel

## Synopsis

`void relay_reset (` | struct rchan * | chan`)`;

## Arguments

`chan`

  the channel

## Description

This has the effect of erasing all data from all channel buffers and restarting the channel in its initial state. The buffers are not freed, so any mappings are still in effect.

NOTE. Care should be taken that the channel isn't actually being used by anything when this call is made.

Prev | Up | Next
relay_buf_full | Home | relay_open